import * as d3 from 'd3';
import { LinearScale } from './LinearScale';
import { Scale } from './Scale';
export declare class LogScale extends LinearScale {
    render(): void;
    scale: d3.ScaleLogarithmic<number, number>;
}
export declare function isLogScale(scale: Scale): scale is LogScale;
